require(PairViz)

corPath <- function(x,
                    method=c("kendall", "spearman", "correlation"),
                    bestpath = c("greedyEulerian", "tspHamiltonian",
                                 "bruteHamiltonian", "decompEulerian"))
{
  corr <- cor(x, method=match.arg(method))
  switch(match.arg(bestpath),
         "greedyEulerian"   = { eulerian(corr) },
         "tspHamiltonian"   = { order_tsp(corr) },
         "bruteHamiltonian" = { order_best(corr) },
         "decompEulerian"   = { weighted_hpaths(corr, matrix=FALSE) },
         stop("Wrong 'bestpath'"))
}


data <- iris[,1:4]
ord <- eulerian(d)
hpaths(1:15)
weighted_hpaths(d)
gp <- graph_product(mk_complete_graph(d), mk_complete_graph(d))


require(sfsmisc)

32*sHalton(20, base=2)
n <- 300
p <- 30
data <- QUnif(n=n,p=p)

require(zenplots)
zenplot(data[,corPath(data, bestpath = "greedy")[1:50]], pkg="grid", alpha=0.5,col="black")
zenplot(data[,corPath(data, bestpath = "decomp")[1:50]], pkg="grid", alpha=0.5,col="black")
zenplot(data[,corPath(data, bestpath = "tsp")], pkg="grid", alpha=0.5,col="black")
zenplot(data[,corPath(data, bestpath = "brute")], pkg="grid", alpha=0.5,col="black")
