\name{occupancy_to_human}
\alias{occupancy_to_human}
\title{Convert the Occupancy Matrix to Human-Readable Format}
\description{
  Auxiliary function to convert the occupancy matrix.
}
\usage{
occupancy_to_human(x, to=c("", "<", ">", "v", "^"))
}
\arguments{
  \item{x}{A \code{\link{numeric}} vector or matrix consisting
    of the numbers 0 to 4 only; typically an occupancy matrix.}
  \item{to}{A \code{\link{character}} vector of length 5 to which
  the numbers 0 to 4 are mapped.}
}
\value{
  \code{occupancy_to_human()} returns an object of the same type as
  \code{x} but re-encoded in the values of \code{to}.
}
\author{Marius Hofert}
\examples{
info <- unfold(nVars=4, n2dcol=2) # unfold information for 4 variables
occ <- info$occupancy # occupancy matrix
occupancy_to_human(occ)
occupancy_to_human(occ, to=c("", "l", "r", "d", "u"))
occupancy_to_human(occ, to=c("", "-", "-", "|", "|"))
}
\keyword{utilities}